LINUX.ORG.RU
ФорумAdmin

Народ помогите с BestCrypt на RH 7.2


0

0

Проблемка в следующем... Стоит RH 7.2 kernel-2.4.9-31 необходимо поставить BestCrypt-0.8 ... Скачал BestCrypt-0.8-9.src.rpm .... делаю rpm --rebuild BestCrypt-0.8-9.src.rpm он мне ругается вот на что

gcc -E bc_dev.c -I../include -D__GENKSYMS__ | /sbin/genksyms -k 2.4.9 > bc_dev.ver gcc -O6 -Wall -fno-strength-reduce -D__KERNEL__ -DMODULE -I../include -I/usr/src/linux/include -c -o bc_dev.o bc_dev.c In file included from bc_cfg.h:43, from bc_dev.c:1: /usr/include/linux/modversions.h:1:2: #error Modules should never use kernel-headers system headers, /usr/include/linux/modversions.h:2:2: #error but rather headers from an appropriate kernel-source package. /usr/include/linux/modversions.h:3:2: #error Change -I/usr/src/linux/include (or similar) to /usr/include/linux/modversions.h:4:2: #error -I/lib/modules/$(uname -r)/build/include /usr/include/linux/modversions.h:5:2: #error to build against the currently-running kernel. make[1]: *** [bc_dev.o] Ошибка 1 make[1]: Выход из каталог '/usr/src/redhat/BUILD/bcrypt-0.8-9/mod-0.8-9' make: *** [subdirs] Ошибка 2 ошибка: Неверный код возврата из /var/tmp/rpm-tmp.48023 (%build) Ошибки сборки пакетов: Неверный код возврата из /var/tmp/rpm-tmp.48023 (%build)

Решил взять более старую версию ... скачал BestCrypt-0.8-7.tar.gz .... порядок действий следующтй ....

tar xvzf /usr/local/BestCrypt-0.8-7.tar.gz появился каталог bcrypt далее cd ~/bcrypt делаю make ..... и он опять ругается вот так

[root@backup bcrypt]# make set -e; for i in kgsha src mod; do make -C $i ; done make[1]: Вход в каталог '/usr/local/bcrypt/kgsha' make[1]: Цель 'all' не требует выполнения команд. make[1]: Выход из каталог '/usr/local/bcrypt/kgsha' make[1]: Вход в каталог '/usr/local/bcrypt/src' make[1]: Цель 'all' не требует выполнения команд. make[1]: Выход из каталог '/usr/local/bcrypt/src' make[1]: Вход в каталог '/usr/local/bcrypt/mod-0.8-7' gcc -O6 -Wall -fno-strength-reduce -D__KERNEL__ -DMODULE -I../include -I/usr/src/linux/include -c -o bc_dev.o bc_dev.c In file included from bc_cfg.h:43, from bc_dev.c:1: /usr/include/linux/modversions.h:1:2: #error Modules should never use kernel-headers system headers, /usr/include/linux/modversions.h:2:2: #error but rather headers from an appropriate kernel-source package. /usr/include/linux/modversions.h:3:2: #error Change -I/usr/src/linux/include (or similar) to /usr/include/linux/modversions.h:4:2: #error -I/lib/modules/$(uname -r)/build/include /usr/include/linux/modversions.h:5:2: #error to build against the currently-running kernel. make[1]: *** [bc_dev.o] Ошибка 1 make[1]: Выход из каталог '/usr/local/bcrypt/mod-0.8-7' make: *** [subdirs] Ошибка 2

Народ помогите ..... а то головы не охота лишатся .... вторые сутки с ним мучаюсь а в понедельник должно все работать

anonymous

Re: Народ помогите с BestCrypt на RH 7.2

Там же написано :) Мол ненадо системные kernel-headers пользовать. Пользуй которые к ядру с которым компиляешь приложены. Подмени *.spec файл, что б он configure вызывал с ключем --with-extra-include=/path/to/kernel/includes Если что - на мыло в инфо.

Nefer ()

Re: Народ помогите с BestCrypt на RH 7.2

Но я использовал те модули каторые встали при установки ... а на счет подмены подскажи... мыло: myth30@online.ru или myth30@mail.ru

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.